##  Creates Table 1

load("t5GaussMedian.RData")
dim(pdfResults)
dim(MAEresults)
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
t5 = round(apply(pdfResults[ind,],2,median),3)

load("t5LaplaceMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
t5L = round(apply(pdfResults[ind,],2,median),3)

load("normalGaussMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
norm = round(apply(pdfResults[ind,],2,median),3)


load("normalLaplaceMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
normL = round(colMeans(pdfResults[ind,]),3)

load("gamma1dot5GaussMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
gamma1dot5 = round(colMeans(pdfResults[ind,]),3)

load("gamma1dot5LaplaceMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
gamma1dot5L = round(colMeans(pdfResults[ind,]),3)

load("gamma5GaussMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
gamma5 = round(colMeans(pdfResults[ind,]),3)


load("gamma5LaplaceMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
gamma5L = round(apply(pdfResults[ind,],2,mediab),3)

load("normalMixtureGaussMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
normMix = round(colMeans(pdfResults[ind,]),3)

load("normalMixtureLaplaceMedian.RData")
n = MAEresults[,1]
sdz = MAEresults[,2]
ind = (n == 1000) & (sdz == 0.75)
normMixL = round(apply(pdfResults[ind,],2,median),3)

PDFcompare = rbind(gamma1dot5,gamma1dot5L,gamma5,gamma5L,normMix,normMixL,norm,normL,t5,t5L)

library("xtable")
tabPDFcompare = xtable(PDFcompare,digits=c(2,2,2,2))
print(tabPDFcompare,include.rownames = TRUE)
