#' @export
QPcdf <- function(obj,prob=NULL)
{
  n = length(obj$x)
  weights = c(0,rep(1,n-2),0)
  cdf = cumsum(obj$f_X + obj$f_X*weights)
  cdf = cdf/cdf[n]
  quantiles = NULL
  if (is.null(prob) == FALSE)
  {
    quantiles = spline(cdf,obj$x, xout = prob)
  }
  list(cdf = cdf,x = obj$x,quantiles = quantiles$y)
}
