Unimodal <-
function(mymode, D, d, Pdf, K_sup, integr, nonneg, convex, l_sup, u_sup, x0) {

	monotone=c(mymode,mymode)
	Ab <- find.Ab(Pdf=Pdf, K_sup=K_sup, integr=integr, nonneg=nonneg, monotone=monotone, convex=convex, l_sup=l_sup, u_sup=u_sup, x0=x0)
	meq <- Ab$meq   ##the number of equality constraints (1 or 0, the former if integr==TRUE
	A <- Ab$A  ##A consraint matrix to be used in solve.QP
	b <- Ab$b  ##b constraint vector to be used in solve.QP

	QPDC <- solve.QP(Dmat=D, dvec=d, Amat=A, bvec=b, meq=meq)
	Obj.value <- QPDC$value ##value of the minimized objective function 

	Obj.value #return the minimized value
}
